net.i2p.router.tunnel.pool

## Class BuildRequestor

- java.lang.Object
- - net.i2p.router.tunnel.pool.BuildRequestor

-     abstract class BuildRequestor
      extends Object

  Methods for creating Tunnel Build Messages, i.e. requests

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `REQUEST_TIMEOUT` At 10 seconds, we were receiving about 20% of replies after expiration Todo: make this variable on a per-request basis, to account for tunnel length, expl.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildRequestor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `request(RouterContext ctx, TunnelPool pool, PooledTunnelCreatorConfig cfg, BuildExecutor exec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REQUEST_TIMEOUT

          static final int REQUEST_TIMEOUT

      At 10 seconds, we were receiving about 20% of replies after expiration Todo: make this variable on a per-request basis, to account for tunnel length, expl. vs. client, uptime, and network conditions. Put the expiration in the PTCC. Also, we now save the PTCC even after expiration for an extended time, so can we use a successfully built tunnel anyway.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BuildRequestor

          BuildRequestor()

  - ### Method Detail

    - #### request

          public static void request(RouterContext ctx,
                     TunnelPool pool,
                     PooledTunnelCreatorConfig cfg,
                     BuildExecutor exec)

      Parameters:
        `cfg` - ReplyMessageId must be set